import {url} from '../../request'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    projectImage:"",
    selected: 'detail',
    show:false,
    promoCodeApplyVOList:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onSelect(e) {
    const key = e.currentTarget.dataset.key;
    console.log(key,'dianjile');
    this.setData({
      selected: key
    });
  },
  jiedan(){
    const id = this.data.id
    wx.navigateTo({
      url: `/pages/woyaojiedan/woyaojiedan?id=${id}`,
    })
    console.log(id);
  },
  mingxi(){
    wx.navigateTo({
      url: '/pages/mingxi/mingxi',
    })
  },
  onLoad(options) {
    const that = this
    const id = options.id
    wx.getStorage({
      key: "logmessage",
      success(res) {
        const userinfo =  res.data.Authorization
        wx.request({
          url: url + '/project/query/id',
          method: 'POST',
          data: {
            "id": id
          },
          header: {
            'content-type': 'application/json',
            'Authorization': userinfo
          },
          success(res) {
            console.log('查询成功', res);
            if(res.data.code==1){
              const defalt = res.data.data
              that.setData({
                id:defalt.id,
                projectDesc:defalt.projectDesc,
                projectDescription:defalt.projectDescription,
                projectFlow:defalt.projectFlow,
                projectImage:defalt.projectImage,
                projectName:defalt.projectName,
                projectStatus:defalt.projectStatus,
                settlementDesc:defalt.settlementDesc,
                projectPrice:defalt.projectPrice,
                promoCodeApplyVOList:defalt.promoCodeApplyVOList
              })
              console.log(that.data.promoCodeApplyVOList,'hhhhhh');
            }
          },
          fail(err) {
            console.error('请求失败', err);
          }
        });
      }
    })
    
  },
  back(){
    wx.navigateBack({
      delta: 1
    })
  }

})